---
title: GitLab with Git Basics Training
suppress_header: true
description: "GitLab with Git Basics Training"
extra_css:
  - services.css
---

.wrapper
  .simple-header
    %h1
      GitLab Education

  .services-page
    .page-container.container
      .row
        .col-md-10.col-md-offset-1
          %h1.page-headline
            GitLab with Git Basics Training
          #overview
            %h2
              Overview
            %p.services-text
              This class is designed to provide users with an introduction to GitLab. It starts with an overview of what GitLab is and of the GitLab web GUI. It then focuses on Git command line. The class includes live demonstrations of the use of GitLab as well as interactive sessions that allow users to experience it for themselves.
            %ul
              %li.services-text Delivery: This training can be delivered either remotely or on-site.
              %li.services-text Class length: 4 hours broken into two sessions.
          #syllabus
            %h2
              Syllabus
            %h3 Part 1: GitLab & GitLab Flow 
            %p.services-text
              A GitLab flow workshop helps your organization develop a good Git workflow.  Will cover the following topics: Workshop setup, “What is Git & GitLab?”, GitLab UI walkthrough, including: Projects, Issues, Merge Requests, Pipelines, Settings, User & Admin Area, Typical GitLab Workflow & Workshop.
            %h3 Part 2: Git Basics 
            %p.services-text
              A Git workshop covers fundamental Git concepts such as committing changes, branches, merge requests, merge conflicts, tags, cherry-picking, bisecting and rebasing.
          #resources
            %h2
              Pre-training Resources
            %p.services-text
              These resources act as prerequisites to the training and will help ensure you have a successful training session with the GitLab team.
            %ul
              %li.services-text 
                %a{href: 'https://www.youtube.com/watch?v=j16QHjv29A0'} Why you should move to Git
              
